#ifndef BARRIER_H
#define BARRIER_H
#include <string>


namespace zsy
{

    class Barrier
    {
    public:

        virtual ~Barrier() = default;

        virtual void open() = 0;

        virtual void resolveRecognizeResult(const std::string & license,const std::string & imageFile) = 0;

    };
} // zsy

#endif //BARRIER_H
